アルプスシステムインテグレーション株式会社[ALSI(アルシー)]
キーワード検索
キーワード
製品名
カテゴリ
含まないキーワード
カテゴリ検索
+
+
+
+
+
+
+
+
-
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 ├
 └
+
+
+
+
+
+
+
+
よく検索されるキーワード
FAQ
タイトル
[SD]'psql.exe'は内部コマンドまたは外部コマンド、操作可能なプログラムまたはバッチファイルとして認識されていません。
No.3834  日付:2011-08-17 17:41:00

回答
最終更新日2016-01-15

1.概要
"SecureDevice用テーブルの作成"を実行すると以下のようなエラーが表示されます。

2.詳細
このエラーは、PostgreSQLのインストール先をデフォルトから変更している環境で表示される場合があります。

3.回避策
3-1.SecureDeviceStandard/ProfessionalインストールCDの中身を任意の場所へコピーします。
3-2.Setup\sdcdb\sdcdb.bat をテキストエディタで編集します。
-------------------------------------------------------------------------------------------------------------------
rem set path for psql.exe
set PG_HOME=%PROGRAMFILES%\PostgreSQL\9.2 ←PoetgreSQLのインストール先に変更 (21行目)
set PG_BIN=%PG_HOME%\bin
set PATH=%PATH%;%PG_BIN%
-------------------------------------------------------------------------------------------------------------------

3-3.編集、保存後"SecureDevice用テーブルの作成"を実行をしてください。

対象製品 InterSafe SecureDevice
対象バージョン 3.X 対象ビルド  
一般情報
アンケートにご協力ください